cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "jcesarmobile (JIRA)" <>
Subject [jira] [Closed] (CB-12254) Cordova app built with 6.4.0 can't upgrade same app built with 6.2.0
Date Tue, 20 Dec 2016 22:42:58 GMT


jcesarmobile closed CB-12254.
    Resolution: Won't Fix
      Assignee: jcesarmobile

The problem is that when the multiple webview support was added in Cordova, as some apps might
need to be built for different architectures, Cordova started doing strange things with the
version code like adding a 0 at the end.
Cordova CLI 6.2.0 used cordova-android 5.1.1 which had that problem.
That was fixed in cordova-android 5.2.0, so your app created with 5.1.1 added that extra 0
in first place and now you have to continue incrementing after that version code.
It's not fully fixed, crosswalk apps continue affecting the version code.
You can know more about it on CB-8976. 
I'm closing your issue as you have found the problem and the fix and there is nothing we can
do about this.

> Cordova app built with 6.4.0 can't upgrade same app built with 6.2.0
> --------------------------------------------------------------------
>                 Key: CB-12254
>                 URL:
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: Android
>            Reporter: Benny Halperin
>            Assignee: jcesarmobile
>              Labels: build
> When I install the app built with Cordova 6.4.0 over the same app built with 6.2.0 I
get the message *App not installed* on my Android phone.
> I checked with Java *keytool* to verify that both apps are signed with the same keystore.

This message was sent by Atlassian JIRA

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message